about summary refs log tree commit diff
path: root/test/pnmremap1.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pnmremap1.test')
-rwxr-xr-xtest/pnmremap1.test42
1 files changed, 40 insertions, 2 deletions
diff --git a/test/pnmremap1.test b/test/pnmremap1.test
index d7c5189c..8626c50f 100755
--- a/test/pnmremap1.test
+++ b/test/pnmremap1.test
@@ -1,8 +1,7 @@
-#! /bin/bash
+#! /bin/sh
 # This script tests: pnmremap
 # Also requires: pamseq pamtopnm
 
-
 tmpdir=${tmpdir:-/tmp}
 palette=${tmpdir}/palette
 #palette255=${tmpdir}/palette255
@@ -24,3 +23,42 @@ pnmremap -mapfile=${palette} -floyd -norandom \
 # testimg.ppm | cksum
 
 rm ${palette} # ${palette255}
+
+echo 1>&2
+echo "Invalid command-line arguments." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+pnmremap -mapfile=/dev/null testimg.ppm > ${test_out} || \
+  printf "Expected failure 1"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pnmremap -mapfile=/dev/zero testimg.ppm > ${test_out} || \
+  printf "Expected failure 2"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pnmremap testimg.ppm                    > ${test_out} || \
+  printf "Expected failure 3"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pnmremap -fs -nofs testimg.ppm          > ${test_out} || \
+  printf "Expected failure 4"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pnmremap -mapfile=testgrid.pbm -missingcolor=rgb:00/ff/00 testimg.ppm \
+ > ${test_out} || \
+  printf "Expected failure 5"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pnmremap -mapfile=testgrid.pbm -firstisdefault testimg.ppm > ${test_out} || \
+  printf "Expected failure 6"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}